Page MenuHomePhabricator

Prevent global account creation of placeholder names
Closed, ResolvedPublic

Description

From my post on meta:

Accounts that are going to be renamed have been told that they have a name reserved for them in the form of ~homedatabasename (e.g. Keegan~mediawikiwiki). Their names should probably actually be reserved by title blacklist preventing their creation; only Stewards and global renamers should be able to make them if accounts request to go ahead and be renamed to that.

Event Timeline

Keegan created this task.Mar 22 2015, 6:38 AM
Keegan raised the priority of this task from to High.
Keegan updated the task description. (Show Details)
Keegan added a project: SUL-Finalization.
Keegan added a subscriber: Keegan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 22 2015, 6:38 AM
Asahiko added a subscriber: Asahiko.EditedMar 26 2015, 3:12 PM

A vandal has been reported to have taken hold of a user name that ends with ~jawiki in an attempt to impersonate and take over a (sub-)account held by a jawiki admin and bureaucrat. (This issue has been mentioned in jawiki's Village Pump: [[w:ja:Wikipedia:井戸端/subj/統一ログインへの完全移行に伴い名前が変更される利用者への個別メッセージ]].)

This task needs to be implemented pronto.

If this is going to be done on Title blacklist, something like this should be introduced.

.*~(aa|ab|ace|af|...|zh|zu|commons|wikidata)wik(i|ibooks|inews|iquote|isource|iversity|ivoyage|tionary)

wikbooks, wiknews, wikquote, wiksource, wikversity, wikvoyage... ? :)

Ha, that was dumb. Corrected it. But the language part is going to be one heck of a long regex.

Probably easier to just do .*~.*wik.* to be honest

Or even just
.*~.*wiki
because I realized we've already had
.*(wiki(books|data|news|quote|source|species|versity|voyage).* <newaccountonly>

How does that entry work? It looks like it's missing a close bracket? Also does not deal with wiktionary

My goodness you're right. That needs fixing.

[[m:Title blacklist]] currently contains

# Wikis
.*mediawiki.*                           <newaccountonly>
.*(wiki(?:[mp]edia(?!n))).*             <newaccountonly>
.*(wiki(books|data|news|quote|source|species|versity|voyage).* <newaccountonly>
.*wiktionary.*                        <newaccountonly>

The current entries already prevent username creation that contain project names, although as you pointed out, the third entry needs another closing parenthesis. Wiktionary is covered by the line after that.

~jawiki slipped through because the current blacklist blocks "wikipedia" but not "wiki", so
.*~.*wiki <newaccountonly>
is to be added here.

How does that entry work? It looks like it's missing a close bracket? [...]

Fixed.

Keegan closed this task as Resolved.Mar 30 2015, 8:39 PM
Keegan set Security to None.
Keegan moved this task from Doing to Done on the SUL-Finalization board.
Asahiko reopened this task as Open.Mar 30 2015, 8:49 PM

What was fixed by @Glaisher is just a side issue. The point of this task was to prevent username creation in the form of e.g. ConflictingUserName~enwiki and I do not see this issue being addressed in [[m:Title blacklist]] yet. Reopening.

Asahiko moved this task from Done to To-do on the SUL-Finalization board.Mar 30 2015, 8:52 PM

Ah, thanks @Asahiko thank you. As I mentioned, I don't know regex and based on the conversation here it looked to me like it was fixed. Thanks.

Keegan moved this task from To-do to Doing on the SUL-Finalization board.Mar 30 2015, 11:14 PM
Keegan moved this task from Doing to To-do on the SUL-Finalization board.
Keegan moved this task from To-do to Done on the SUL-Finalization board.Mar 31 2015, 10:14 AM